<?php

class actionContentGetContentFieldsAjax extends cmsAction {

    public function run(){

		if (!$this->request->isAjax()){ cmsCore::error404(); }
		if (!cmsUser::isAdmin()) { cmsCore::error404(); }

		$ctype_name = $this->request->get('value', '');
		if (!$ctype_name) { cmsCore::error404(); }

		$fields = cmsCore::getModel('content')->getContentFields($ctype_name);

        $fields = cmsEventsManager::hook('ctype_content_fields', $fields);

		$list = array();

		if ($fields){
			$list = array(''=>'') + array('info_bar'=>'Инфобар') + array_collection_to_list($fields, 'name', 'title');
		}

		return $this->cms_template->renderJSON($list);

    }

}
